Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## josx.rcxcomm.remotecontrol
Class RemoteControlMessenger

    java.lang.Object
      josx.rcxcomm.remotecontrol.RemoteControlMessenger

    public class RemoteControlMessenger

extends java.lang.Object

This class is a Messenger for remote control messages.
It sends remote control messages; the original LEGO remote control opcodes are used

Version:
  1.0 (01/05/2003)
Author:
  Matthias Paul Scholz (mp.scholz@t-online.de)

Field Summary
`static byte[]` | `MESSAGE1`
`static byte[]` | `MESSAGE2`
`static byte[]` | `MESSAGE3`
`static byte[]` | `MOTOR_A_DOWN`
`static byte[]` | `MOTOR_A_UP`
`static byte[]` | `MOTOR_B_DOWN`
`static byte[]` | `MOTOR_B_UP`
`static byte[]` | `MOTOR_C_DOWN`
`static byte[]` | `MOTOR_C_UP`
`static byte[]` | `NONE`
`static byte[]` | `PROGRAM1`
`static byte[]` | `PROGRAM2`
`static byte[]` | `PROGRAM3`
`static byte[]` | `PROGRAM4`
`static byte[]` | `PROGRAM5`
`static byte[]` | `SOUND`
`static byte[]` | `STOP`

Constructor Summary
`RemoteControlMessenger(java.lang.String port)` Creates a new instance of RemoteControlMessenger.

Method Summary
`void` | `send(byte[] aMessageCode)` sends a message via the LEGO Tower to the RCX

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final byte[] NONE

### MESSAGE1

    public static final byte[] MESSAGE1

### MESSAGE2

    public static final byte[] MESSAGE2

### MESSAGE3

    public static final byte[] MESSAGE3

### MOTOR_A_UP

    public static final byte[] MOTOR_A_UP

### MOTOR_B_UP

    public static final byte[] MOTOR_B_UP

### MOTOR_C_UP

    public static final byte[] MOTOR_C_UP

### MOTOR_A_DOWN

    public static final byte[] MOTOR_A_DOWN

### MOTOR_B_DOWN

    public static final byte[] MOTOR_B_DOWN

### MOTOR_C_DOWN

    public static final byte[] MOTOR_C_DOWN

### PROGRAM1

    public static final byte[] PROGRAM1

### PROGRAM2

    public static final byte[] PROGRAM2

### PROGRAM3

    public static final byte[] PROGRAM3

### PROGRAM4

    public static final byte[] PROGRAM4

### PROGRAM5

    public static final byte[] PROGRAM5

### STOP

    public static final byte[] STOP

### SOUND

    public static final byte[] SOUND

Constructor Detail

### RemoteControlMessenger

    public RemoteControlMessenger(java.lang.String port)
                           throws java.lang.UnsatisfiedLinkError

  Creates a new instance of RemoteControlMessenger.

  Throws:
    `java.lang.UnsatisfiedLinkError`

Method Detail

### send

    public void send(byte[] aMessageCode)
              throws java.io.IOException

  sends a message via the LEGO Tower to the RCX

  Parameters:
    `aMessageCode` - the message to send (in terms of RemoteControlMessenger constants)
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD